/*
 * math2_odelib.fp
 *
 * $Id: math2_odelib.fp,v 1.1 2000/11/19 16:00:18 keiko Exp $
 */

/*****************************************************
 * math2/odelib/odrk1.f
 ****************************************************/
/* 
 *      SUBROUTINE ODRK1(N, FCN, T, DT, X, DX, XOUT, WORK)
 *      DIMENSION  X(N), XOUT(N), DX(N)
 */
      SUBROUTINE ODRK1(
          INTEGER N
          REAL FCN
          REAL T
          REAL DT
          REAL (N) X
          REAL (N) DX
          REAL (N) o XOUT
          REAL t WORK
      )

/*****************************************************
 * math2/odelib/odrk2.f
 ****************************************************/
/* 
 *      SUBROUTINE ODRK2(N, FCN, T, DT, X, DX, XOUT, WORK)
 *      DIMENSION  X(N), XOUT(N), DX(N), WORK(N)
 */
      SUBROUTINE ODRK2(
          INTEGER N
          REAL FCN
          REAL T
          REAL DT
          REAL (N) X
          REAL (N) DX
          REAL (N) o XOUT
          REAL (N) t WORK
      )

/*****************************************************
 * math2/odelib/odrk4.f
 ****************************************************/
/* 
 *      SUBROUTINE ODRK4(N, FCN, T, DT, X, DX, XOUT, WORK)
 *      DIMENSION  X(N), XOUT(N), DX(N), WORK(N,3)
 */
      SUBROUTINE ODRK4(
          INTEGER N
          REAL FCN
          REAL T
          REAL DT
          REAL (N) X
          REAL (N) DX
          REAL (N) o XOUT
          REAL (N,3) t WORK
      )

/*****************************************************
 * math2/odelib/odrk4r.f
 ****************************************************/
/* 
 *      SUBROUTINE ODRK4R(N, FCN, T, DT, EPSL, X, WORK)
 *      DIMENSION X(N), WORK(N,7)
 */
      SUBROUTINE ODRK4R(
          INTEGER N
          REAL FCN
          REAL io T
          REAL io DT
          REAL EPSL
          REAL (N) io X
          REAL (N,7) t WORK
      )

/*****************************************************
 * math2/odelib/odrk4s.f
 ****************************************************/
/* 
 *      SUBROUTINE ODRK4S(N, FCN, T, DT, EPSL, X, WORK)
 *      DIMENSION X(N), WORK(N,5)
 */
      SUBROUTINE ODRK4S(
          INTEGER N
          REAL FCN
          REAL io T
          REAL io DT
          REAL EPSL
          REAL (N) io X
          REAL (N,5) t WORK
      )

/*****************************************************
 * math2/odelib/odrkdu.f
 ****************************************************/
/* NB: (ODRKDU) WORK size is (N,5) (ALGR=ODRK4), (N,3) (otherwise). */
/* 
 *      SUBROUTINE ODRKDU(N, ALGR, FCN, T, TEND, ISTEP, X, WORK)
 *      DIMENSION  X(N), WORK(N,*)
 */
      SUBROUTINE ODRKDU(
          INTEGER N
          REAL ALGR
          REAL FCN
          REAL io T
          REAL TEND
          INTEGER ISTEP
          REAL (N) io X
          REAL (N,*) t WORK
      )

/*****************************************************
 * math2/odelib/odrkdv.f
 ****************************************************/
/* NB: (ODRKDV) WORK size is (N,7) (ALGR=ODRK4), (N,5) (otherwise). */
/* 
 *      SUBROUTINE ODRKDV(N, STEPER, FCN, T, TEND, DT, X, WORK)
 *      DIMENSION X(N), WORK(N,*)
 */
      SUBROUTINE ODRKDV(
          INTEGER N
          REAL STEPER
          REAL FCN
          REAL io T
          REAL TEND
          REAL io DT
          REAL (N) io X
          REAL (N,*) t WORK
      )

/*****************************************************
 * math2/odelib/odrkg.f
 ****************************************************/
/* 
 *      SUBROUTINE ODRKG(N, FCN, T, DT, X, DX, XOUT, WORK)
 *      DIMENSION  X(N), DX(N), XOUT(N), WORK(N)
 */
      SUBROUTINE ODRKG(
          INTEGER N
          REAL FCN
          REAL T
          REAL DT
          REAL X
          REAL (N) io DX
          REAL (N) o XOUT
          REAL (N) t WORK
      )

/*****************************************************
 * math2/odelib/odrkgr.f
 ****************************************************/
/* 
 *      SUBROUTINE ODRKGR(N, FCN, T, DT, EPSL, X, WORK)
 *      DIMENSION X(N), WORK(N,5)
 */
      SUBROUTINE ODRKGR(
          INTEGER N
          REAL FCN
          REAL io T
          REAL io DT
          REAL EPSL
          REAL (N) io X
          REAL (N,5) t WORK
      )

/*****************************************************
 * math2/odelib/odrkgs.f
 ****************************************************/
/* 
 *      SUBROUTINE ODRKGS(N, FCN, T, DT, EPSL, X, WORK)
 *      DIMENSION X(N), WORK(N,3)
 */
      SUBROUTINE ODRKGS(
          INTEGER N
          REAL FCN
          REAL io T
          REAL io DT
          REAL EPSL
          REAL (N) io X
          REAL (N,3) t WORK
      )

/*****************************************************
 * math2/odelib/odiget.f
 ****************************************************/
/* 
 *      SUBROUTINE ODIGET(CP, IPARA)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODIGET(
          CHARACTER*(*) CP
          INTEGER o IPARA
      )

/* 
 *      ENTRY ODISET(CP, IPARA)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODISET(
          CHARACTER*(*) CP
          INTEGER IPARA
      )

/* 
 *      ENTRY ODISTX(CP, IPARA)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODISTX(
          CHARACTER*(*) CP
          INTEGER IPARA
      )

/*****************************************************
 * math2/odelib/odiqnp.f
 ****************************************************/
/* 
 *      SUBROUTINE ODIQNP(NCP)
 */
      SUBROUTINE ODIQNP(
          INTEGER o NCP
      )

/* 
 *      ENTRY ODIQID(CP,IDX)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODIQID(
          CHARACTER*(*) CP
          INTEGER o IDX
      )

/* 
 *      ENTRY ODIQCP(IDX,CP)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODIQCP(
          INTEGER IDX
          CHARACTER*(*) o CP
      )

/* 
 *      ENTRY ODIQCL(IDX, CP)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODIQCL(
          INTEGER IDX
          CHARACTER*(*) o CP
      )

/* 
 *      ENTRY ODIQVL(IDX,IPARA)
 */
      SUBROUTINE ODIQVL(
          INTEGER IDX
          INTEGER o IPARA
      )

/* 
 *      ENTRY ODISVL(IDX,IPARA)
 */
      SUBROUTINE ODISVL(
          INTEGER IDX
          INTEGER IPARA
      )

/* 
 *      ENTRY ODIQIN(CP, IN)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODIQIN(
          CHARACTER*(*) CP
          INTEGER o IN
      )

/*****************************************************
 * math2/odelib/odlget.f
 ****************************************************/
/* 
 *      SUBROUTINE ODLGET(CP, LPARA)
 *      CHARACTER CP*(*)
 *      LOGICAL   LPARA
 */
      SUBROUTINE ODLGET(
          CHARACTER*(*) CP
          LOGICAL o LPARA
      )

/* 
 *      ENTRY ODLSET(CP, LPARA)
 *      CHARACTER CP*(*)
 *      LOGICAL   LPARA
 */
      SUBROUTINE ODLSET(
          CHARACTER*(*) CP
          LOGICAL LPARA
      )

/* 
 *      ENTRY ODLSTX(CP, LPARA)
 *      CHARACTER CP*(*)
 *      LOGICAL   LPARA
 */
      SUBROUTINE ODLSTX(
          CHARACTER*(*) CP
          LOGICAL LPARA
      )

/*****************************************************
 * math2/odelib/odlqnp.f
 ****************************************************/
/* 
 *      SUBROUTINE ODLQNP(NCP)
 */
      SUBROUTINE ODLQNP(
          INTEGER o NCP
      )

/* 
 *      ENTRY ODLQID(CP,IDX)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODLQID(
          CHARACTER*(*) CP
          INTEGER o IDX
      )

/* 
 *      ENTRY ODLQCP(IDX,CP)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODLQCP(
          INTEGER IDX
          CHARACTER*(*) o CP
      )

/* 
 *      ENTRY ODLQCL(IDX, CP)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODLQCL(
          INTEGER IDX
          CHARACTER*(*) o CP
      )

/* 
 *      ENTRY ODLQVL(IDX, LPARA)
 *      LOGICAL   LPARA
 */
      SUBROUTINE ODLQVL(
          INTEGER IDX
          LOGICAL o LPARA
      )

/* 
 *      ENTRY ODLSVL(IDX,LPARA)
 *      LOGICAL   LPARA
 */
      SUBROUTINE ODLSVL(
          INTEGER IDX
          LOGICAL LPARA
      )

/* 
 *      ENTRY ODLQIN(CP, IN)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODLQIN(
          CHARACTER*(*) CP
          INTEGER o IN
      )

/*****************************************************
 * math2/odelib/odpget.f
 ****************************************************/
/* 
 *      SUBROUTINE ODPGET(CP, IPARA)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODPGET(
          CHARACTER*(*) CP
          INTEGER o IPARA
      )

/* 
 *      ENTRY ODPSET(CP, IPARA)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODPSET(
          CHARACTER*(*) CP
          INTEGER IPARA
      )

/* 
 *      ENTRY ODPSTX(CP, IPARA)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODPSTX(
          CHARACTER*(*) CP
          INTEGER IPARA
      )

/*****************************************************
 * math2/odelib/odpqnp.f
 ****************************************************/
/* 
 *      SUBROUTINE ODPQNP(NCP)
 */
      SUBROUTINE ODPQNP(
          INTEGER o NCP
      )

/* 
 *      ENTRY ODPQID(CP, IDX)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODPQID(
          CHARACTER*(*) CP
          INTEGER o IDX
      )

/* 
 *      ENTRY ODPQCP(IDX, CP)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODPQCP(
          INTEGER IDX
          CHARACTER*(*) o CP
      )

/* 
 *      ENTRY ODPQCL(IDX, CP)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODPQCL(
          INTEGER IDX
          CHARACTER*(*) o CP
      )

/* 
 *      ENTRY ODPQIT(IDX, ITP)
 */
      SUBROUTINE ODPQIT(
          INTEGER IDX
          INTEGER o ITP
      )

/* 
 *      ENTRY ODPQVL(IDX, IPARA)
 */
      SUBROUTINE ODPQVL(
          INTEGER IDX
          INTEGER o IPARA
      )

/* 
 *      ENTRY ODPSVL(IDX, IPARA)
 */
      SUBROUTINE ODPSVL(
          INTEGER IDX
          INTEGER IPARA
      )

/* 
 *      ENTRY ODPQIN(CP, IN)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODPQIN(
          CHARACTER*(*) CP
          INTEGER o IN
      )

/*****************************************************
 * math2/odelib/odrget.f
 ****************************************************/
/* 
 *      SUBROUTINE ODRGET(CP, RPARA)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODRGET(
          CHARACTER*(*) CP
          REAL o RPARA
      )

/* 
 *      ENTRY ODRSET(CP, RPARA)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODRSET(
          CHARACTER*(*) CP
          REAL RPARA
      )

/* 
 *      ENTRY ODRSTX(CP, RPARA)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODRSTX(
          CHARACTER*(*) CP
          REAL RPARA
      )

/*****************************************************
 * math2/odelib/odrqnp.f
 ****************************************************/
/* 
 *      SUBROUTINE ODRQNP(NCP)
 */
      SUBROUTINE ODRQNP(
          INTEGER o NCP
      )

/* 
 *      ENTRY ODRQID(CP,IDX)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODRQID(
          CHARACTER*(*) CP
          INTEGER o IDX
      )

/* 
 *      ENTRY ODRQCP(IDX,CP)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODRQCP(
          INTEGER IDX
          CHARACTER*(*) o CP
      )

/* 
 *      ENTRY ODRQCL(IDX, CP)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODRQCL(
          INTEGER IDX
          CHARACTER*(*) o CP
      )

/* 
 *      ENTRY ODLQVR(IDX, RPARA)
 */
      SUBROUTINE ODLQVR(
          INTEGER IDX
          REAL o RPARA
      )

/* 
 *      ENTRY ODRSVL(IDX,RPARA)
 */
      SUBROUTINE ODRSVL(
          INTEGER IDX
          REAL RPARA
      )

/* 
 *      ENTRY ODRQIN(CP, IN)
 *      CHARACTER CP*(*)
 */
      SUBROUTINE ODRQIN(
          CHARACTER*(*) CP
          INTEGER o IN
      )

